------------------------------------------------------------
revno: 5080
committer: Sunanda Menon<sunanda.menon@oracle.com>
branch nick: mysql-cluster-7.1.33-release
timestamp: Fri 2014-10-10 10:20:20 +0200
message:
  Applying the patch for regression bug#19582807 for 7.1.33 cluster release
------------------------------------------------------------
revno: 5079
tags: clone-mysql-5.1.73-ndb-7.1.33-src-build
committer: saroj tripathy <saroj.tripathy@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Wed 2014-09-24 15:26:38 +0530
message:
  adding checksum to the cnf file
------------------------------------------------------------
revno: 5078
committer: Pratik Patodi<pratik.patodi@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Tue 2014-09-23 14:54:13 +0530
message:
  Bug #19667663 : NDB_SHOW_TABLE TEST CASES FAILING ON SPARC
  
  removed the _dbname parameter from Ndb constructor call,
  and setting the _dbname value to "TEST_DB", if no database name is provied in the option.
  else using the value provied in the option -d.
------------------------------------------------------------
revno: 5077
committer: Mauritz Sundell <mauritz.sundell@oracle.com>
branch nick: mysql-7.1
timestamp: Mon 2014-09-15 13:03:05 +0200
message:
  Reorder member initializer list for thr_data to follow initialization order.
  This removes compiler warning introduced in fix of
  Bug #19582807    MAKE SIGNAL DUMP IN TRACE FILES ALWAYS START FROM LATEST SIGNAL
------------------------------------------------------------
revno: 5076
committer: Mauritz Sundell <mauritz.sundell@oracle.com>
branch nick: mysql-7.1
timestamp: Fri 2014-09-12 18:21:40 +0200
message:
  Bug #19582807    MAKE SIGNAL DUMP IN TRACE FILES ALWAYS START FROM LATEST SIGNAL
  
  Move signal id counter to thread state for multithreaded ndbmtd,
  and use that in signal dump instead of calculate latest signal id
  from signals in signal buffers.
------------------------------------------------------------
revno: 5075
committer: Ole John Aske <ole.john.aske@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Thu 2014-09-11 11:01:25 +0200
message:
  Fix for bug#19559313, call getPerformStateString() with a nodeId arg instead of a state argument
------------------------------------------------------------
revno: 5074
committer: Ole John Aske <ole.john.aske@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Wed 2014-09-10 13:13:53 +0200
message:
  Fix for Bug#19552283 :
  
    Transporters receiveBuffers might be reset while 
    another thread read them (race)
  
  There is a potential race between a thread 
  receiving data with TransporterRegistry::performReceive,
  while another thread (async) initiate disconnect of the
  transporter by calling Transporter::doDisconnect(). The
  later method will call TCP_Transporter::disconnectImpl()
  which clears the receive buffer.
  
  A typical case where this happens is ::doDisconnect() being
  called from the thread running TransporterRegistry::start_clients_thread().
  Simultaneously another thread might 'do_poll()' which performReceive()
  on the same transporter.
  
  This fix moves 'receiveBuffer.clear()' out of ::disconnectImpl()
  and into a new method Transporter::resetBuffers() which is now
  called from ::do_connect(). At this point The transporter has
  been trough a report_disconnect() synched with performReceive().
  Furthermore, it is known to be in a DISCONNECTED state, which
  implies that it can't be seen as connected again by 
  ::performReceive() as this also has to be synched.
  
  This also introduce a relaxing of in which states buffered
  data can be read & unpacked from the transporters: Any received
  data will now be available in the receivebuffers as long as 
  the transporter as available in 'm_has_data_transporters'.
  The patch takes advantage of this by simplifying the check
  of connection states in ::performReceive().
  
  The patch also removes the 'virtual' decl. of 
  Transporter::doDisconnect(). This was a leftover from the 
  time before (the virtual) Transporter::disconnectImpl()
  was introduced.
  
  Lots of comments are added in order to better explain
  the concurrency controll and restrictions between
  ::pollReceive(), ::performReceive() and ::update_connections().
  ******
  Fix for bug#19559313, call getPerformStateString() with a nodeId arg instead of a state argument
------------------------------------------------------------
revno: 5073
committer: Mikael Ronstrom <mikael.ronstrom@oracle.com>
branch nick: push_bug19552349_71
timestamp: Tue 2014-09-09 16:20:56 +0200
message:
  BUG#19552349: Avoid stack overrun by removing endless recursive call
------------------------------------------------------------
revno: 5072
committer: Mauritz Sundell <mauritz.sundell@oracle.com>
branch nick: mysql-7.1
timestamp: Fri 2014-09-05 18:02:44 +0200
message:
  Bug #18703922	 DUMP-CODE ACTIVATED DEBUGGING ON WATCHDOG OVERLOAD ISSUES
  
  Adds DUMP 2610 [<val>]
   
  DUMP 2610 or DUMP 2610 1 will set the 'killer watchdog' on
  DUMP 2610 0 will disable it.
   
  Killer watchdog will shutdown the node on the first subsequent watchdog
  warning.
   
  This should give trace log.
  
  
  Idea is to crash when watchdog warnings occur, as this is correlated with
  other bad behaviour that we want to investigate.
   
  Crash will give jam + signal trace to help debug, and if --core-file option
  is given, will also give core files for stack traces if necessary.
   
  DUMP code activation is provided to allow node restarts to issue a few
  watchdog warnings if necessary without node failure.
------------------------------------------------------------
revno: 5071
committer: Frazer Clement <frazer.clement@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Fri 2014-09-05 14:42:37 +0100
message:
  Bug #17893872 	ER_DUP_ENTRY WHEN INSERTING TO AUTO-INC COLUMN ON SPARC MULTI-MASTER SETUP
  
  Incorrect calculation of next value after a manual insertion towards the end of a cached 
  range could result in duplicate values being used.
  
  Next value calculation is modified to ensure that the NdbApi-internally calculated next
  value from the cache is of the form offset + (n*step) to avoid the Server code rounding
  up the returned value to some higher out-of-cache value which can result in duplicate
  entries.
  
  Testcase modified to show behaviour of default SE, which can change when default SE
  changes from MyISAM -> InnoDB.
------------------------------------------------------------
revno: 5070
committer: Maitrayi Sabaratnam <maitrayi.sabaratnam@oracle.com>
branch nick: 7.1
timestamp: Wed 2014-09-03 00:11:11 +0200
message:
  bug#19124970 - PB WITH POLLEVENTS , NDBEVENTS
  
  Improvement in the 'safety' of deleting an Ndb while it's in use.
------------------------------------------------------------
revno: 5069
committer: Maitrayi Sabaratnam <maitrayi.sabaratnam@oracle.com>
branch nick: 7.1
timestamp: Tue 2014-09-02 23:09:52 +0200
message:
  Backport from 7.2
------------------------------------------------------------
revno: 5068
committer: Pratik Patodi<pratik.patodi@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Tue 2014-09-02 19:43:16 +0530
message:
  BUG#17069285 SEGMENTATION FAULT IN NDB_PRINT_FILE
  
  There is difference in mysql-test-run.pl between 7.1 and the rest (7.2 and up),
  for adding the environmental variable in mysql-test/mysql-test-run.pl file.
  1. for 7.1 its : "native_path(my_find_bin($basedir,"
  2. for 7.2 and up its : "my_find_bin($bindir, ..  "
  Pushing this patch to resolve this issue.
------------------------------------------------------------
revno: 5067
committer: Pratik Patodi<pratik.patodi@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Tue 2014-09-02 17:27:46 +0530
message:
  BUG#17069285 SEGMENTATION FAULT IN NDB_PRINT_FILE
  
  The Bug was due to m_out object used in NdbOut operator was not initialized/set to the output stream.
  Added an ndb_init() call to initialize it to output stream.
  Added an environmental variable $NDB_PRINT_FILE to give path to its binary in  mysql-test/mysql-test-run.pl file.
  Added a unit test and its result file.
  Missed a line in previous push, so pushing again. 
------------------------------------------------------------
revno: 5066
committer: Pratik Patodi<pratik.patodi@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Tue 2014-09-02 14:15:44 +0530
message:
  The Bug was due to m_out object used in NdbOut operator was not initialized/set to the output stream.
  Added an ndb_init() call to initialize it to output stream.
  Added an environmental variable $NDB_PRINT_FILE to give path to its binary in  mysql-test/mysql-test-run.pl file.
  Added a unit test and its result file.
------------------------------------------------------------
revno: 5065
committer: Priyanka Sangam <priyanka.sangam@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Mon 2014-09-01 13:14:58 +0530
message:
  Bug#19202654  NDB_RESTORE NOT ABLE TO RESTORE META WITH 17K OBJECTS
  
  Changed DBUG_OFF macros to ERROR_INSERT for unit test.
------------------------------------------------------------
revno: 5064
committer: Pekka Nousiainen <pekka.nousiainen@oracle.com>
branch nick: ms-bug19031389-71
timestamp: Thu 2014-08-28 20:09:18 +0300
message:
  bug#19031389 bugfix.diff
  bug fix
------------------------------------------------------------
revno: 5063
committer: Pekka Nousiainen <pekka.nousiainen@oracle.com>
branch nick: ms-bug19031389-71
timestamp: Thu 2014-08-28 20:07:03 +0300
message:
  bug#19031389 bugtest.diff
  bug test
------------------------------------------------------------
revno: 5062
committer: Mikael Ronstrom <mikael.ronstrom@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Wed 2014-08-27 12:22:35 +0200
message:
  BUG#19513967: Fixed missing init of longer bitmask
------------------------------------------------------------
revno: 5061
committer: Priyanka Sangam <priyanka.sangam@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Wed 2014-08-27 14:56:50 +0530
message:
  Bug#19202654  NDB_RESTORE NOT ABLE TO RESTORE META WITH 17K OBJECTS
  
  Fixed autotest failure of test case added for this bug.
  The --error-insert option is supported by ndb_restore only in 
  debug builds. The test failed because this option was passed to 
  ndb_restore even though it was not a debug build. Modified the 
  test code to pass '--error-insert' as an option to ndb_restore 
  only if the build is a debug build.
------------------------------------------------------------
revno: 5060
committer: Pratik Patodi<pratik.patodi@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Mon 2014-08-25 13:42:49 +0530
message:
  BUG#17703874
  
  The patch does the following:
  1. updates the Usage message.
  2. give error if -d option is given without a table name.
  3. gives error for extra arguments.
  4. gives proper message if table not founded.
------------------------------------------------------------
revno: 5059
committer: Priyanka Sangam <priyanka.sangam@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Fri 2014-08-22 14:50:59 +0530
message:
  Bug#19202654: NDB_RESTORE NOT ABLE TO RESTORE META WITH 17K OBJECTS
  
  The ndb_restore utility loads metadata before executing any operation. 
  While loading metadata, it lists all the tables in the backup. To list 
  tables, it reads the table count from the section header of the backup 
  file. It then does a buffer read to get all the tables. The amount of 
  data requested in the buffer read is calculated. In this bug, the 
  amount of requested data exceeds the amount of remaining buffered data. 
  This is handled by reducing the table count to the number of tables 
  remaining in the buffer. The read is done and the reduced count is 
  returned. This causes an error exit because the reduced count is not 
  equal to the requested count.
  
  Fixed the table list function to handle a reduced count from a buffer 
  read. Instead of erroring out, it requests subsequent reads for the 
  remaining tables. This continues until all the tables have been read.
  
  Added an error insert to reduce the size of the buffer. After the table
  list is read, the original buffer size is restored. Added a test case 
  in autotest.
------------------------------------------------------------
revno: 5058
committer: Frazer Clement <frazer.clement@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Tue 2014-08-19 15:28:21 +0100
message:
  Bug #18354165 	16723708 CHANGED EVENT CATEGORY VALUES
  
  This fix reverts the fix for 16723708 INVALID VALUES RETURNED IN NDB_LOGEVENT "CATEGORY" MEMBER VARIABLE.
  
  The problem was that changing the category returned by ndb_logevent_get_next()
  was non backwards compatible, and some customers were already working around 
  the problem in their applications.
  
  So in this fix we keep the old behaviour of ndb_logevent_get_next(), and
  create a new ndb_logevent_get_next2() method which will return a 
  correct category.
  
  Customers requiring the correct category (and those not caring)
  should call ndb_logevent_get_next2().
  
  Existing customer applications will be unaffected.
  
  There does not appear to be any internal use of the category field
  returned this way which is affected.
------------------------------------------------------------
revno: 5057
committer: Priyanka Sangam <priyanka.sangam@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Wed 2014-08-13 16:29:16 +0530
message:
  Bug#18875137: NDB_RESTORE STILL MISSING SOME TYPE CONVERSIONS
  
  Added TEXT->TEXT staging conversions to ndb_restore. Fixed ndb_restore
  to handle a combination of built-in and staging conversions in a
  single table. Disabled conversion to TEXT column with different
  charset. Added fix in ndb_restore for truncation when converting to
  TINYTEXT. Added fix in mysqld to truncate TEXT values from ndb
  according to MySQL limits on TEXT sizes.
  
  While truncating a multi-byte charset TEXT, there is a possibility
  that the TEXT could be trusacated in the middle of a multi-byte
  character. This is handled by truncating to the end of the last
  well-formed character.
------------------------------------------------------------
revno: 5056
committer: Ole John Aske <ole.john.aske@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Mon 2014-08-11 11:31:11 +0200
message:
  Fix for Bug#19414511:
  
    ::sendSignalNoRelease() does not report send failure before crashing
        
  Replace ndbrequire() with calls to either ::handle_out_of_longsignal_memory()
  or ::handle_send_failure() which will print a crash reason before 
  crashing.
  
  This is similar to code already existing in the 'normal' ::sendSignal().
------------------------------------------------------------
revno: 5055
committer: Lakshmi Narayanan Sreethar<lakshmi.narayanan.sreethar@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Wed 2014-08-06 17:51:30 +0530
message:
  Bug#11764704 : Exclude missing tables when restoring a backup
   - added an option "--exclude-missing-tables" to ndb_restore tool
   - when enabled, the missing tables will be added to the 
     exclude tables list before starting to restore.
   - updated test cases accordingly.
------------------------------------------------------------
revno: 5054
committer: Pratik Patodi<pratik.patodi@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Fri 2014-08-01 12:19:25 +0530
message:
  The confusion in the bug#16374870 is caused by the poor usage message which fails to add *args* table [index].
  
  The proper usage message would be : ndb_select-all [options] table [index]
  
  There were some other issue which was not pointed out in the current bug page like
  - program was not giving error/warning for too many arguments.
  - Error message for INDEX not Found is giving two error msg: ./ndb_select_all
  -o -d test table1 abc
    - Index abc not exist
    - order flag given without an index
  
  This patch udates the usage message and solves the above problems.
------------------------------------------------------------
revno: 5053
committer: Craig L Russell <Craig.Russell@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Tue 2014-07-29 15:28:45 -0700
message:
  Bug 19028487 NPE when scanning rows with blob or text columns
  
  BLOB/TEXT columns were not properly handled when scanning tables via
  query. 
  
  AbstractClusterJTest:
    add compareBytes method to compare two byte arrays
  
  AbstractQueryTest:
    make resultList protected and available to subclasses after the query
  
  FindByPrimaryKeyTest:
    add test for row not found
  
  QueryBlobIndexScanTest:
    new test case queries table with a blob column
    scan using filter
      update a row with a blob column
      delete a row with a blob column
  
  QueryTextIndexScanTest:
    new test case queries table with a text column
    scan using filter
      update a row with a text column
      delete a row with a text column
  
  ClusterTransactionImpl:
    change the autocommit flush abort option to false
    this allows autocommit find of rows with blob columns to fail the operation
      but not fail the transaction on row not found
      (which will result in returning null to the application instead of
      throwing an exception) 
  
  NdbRecordBlobImpl:
    create a new constructor for use with scans
    the new NdbRecordBlobImpl gets a new NdbRecordOperationImpl
      but retains the original data and storeColumn info
    if the NdbRecordBlobImpl is used in a subsequent operation
      the new operation replaces the original operation
      this allows the NdbRecordBlobImpl to be used with several operations
        in sequence (e.g. find, update, delete; or scan, update)
  
  NdbRecordIndexScanOperationImpl:
    once the operation is completely defined, activate the blob/text columns
  
  NdbRecordKeyOperationImpl:
    load blob values after the row is retrieved
  
  NdbRecordOperationImpl:
    change the constructor used with SmartValueHandler to copy the blob
      data so it can be updated in a subsequent operation
    for update operations, calculate which blob/text columns have been updated
      so the blobs can be activated for update
    add method isColumnSet to determine whether a column is in the mask
  
  NdbRecordScanResultDataImpl:
    during scans, read-only operations might have been upgraded to read lock
      if a blob/text column is present
    if scanning with blob/text, only upgrade the lock if actually scanning
      with read or write lock; otherwise skip the upgrade to avoid NPE later
    if scanning with blob/text, fetch the blob/text values during the scan
  
  NdbRecordSmartValueHandlerImpl:
    if updating a blob/text field, set the mask for the field
  
  NdbRecordUniqueKeyOperationImpl:
    when reading row with blob/text columns, load the blob values
      after the row is read
------------------------------------------------------------
revno: 5052
committer: Ole John Aske <ole.john.aske@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Mon 2014-07-28 15:12:14 +0200
message:
  More fixes for bug#19053226
  
  Fix and reintroduce runBankSum (validator) which was disabled
  as it probably never worked.
------------------------------------------------------------
revno: 5051
committer: Ole John Aske <ole.john.aske@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Mon 2014-07-28 15:09:14 +0200
message:
  Fixes for bug#19053226
  
  Improve handling of 'TemporaryError' vs. permanent errors.
------------------------------------------------------------
revno: 5050
committer: Ole John Aske <ole.john.aske@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Mon 2014-07-28 15:02:25 +0200
message:
  More fixes for bug#19053226
  
  Fix a race condition in counting of active NMR_SR_THREAD_foo where we missed
  the fact that all threads actually are stopped, and continued waiting 
  forever (until tomeout)
  
  Also cleanup error handling code such that the the same
  pattern is used in all runFoo functions, and added some 
  more ndbouts related to progress during cluster restart.
------------------------------------------------------------
revno: 5049 [merge]
committer: Mauritz Sundell <mauritz.sundell@oracle.com>
branch nick: mysql-7.1
timestamp: Wed 2014-07-16 18:03:38 +0200
message:
  Patches for Bug #18731008    NDB : AVOID MAPPING EMPTY PAGES DUE TO DELETES DURING NR
  and Bug #18683398    MEMORY LEAK DURING ROLLING RESTART
    ------------------------------------------------------------
    revno: 5048.1.3
    committer: Mauritz Sundell <mauritz.sundell@oracle.com>
    branch nick: mysql-7.1-bug18683398
    timestamp: Wed 2014-07-16 18:01:49 +0200
    message:
      ndb - RSS-DynArr256
      
      This patch adds RSS check support for DynArr256
    ------------------------------------------------------------
    revno: 5048.1.2
    committer: Mauritz Sundell <mauritz.sundell@oracle.com>
    branch nick: mysql-7.1-bug18683398
    timestamp: Wed 2014-07-16 18:01:03 +0200
    message:
      A new ndbapi test case: testNodeRestart -n DeleteRestart.
      
      Bug #18731008    NDB : AVOID MAPPING EMPTY PAGES DUE TO DELETES DURING NR
      Bug #18683398    MEMORY LEAK DURING ROLLING RESTART
      
      Check that create big table and delete rows followed by node
      restart does not leak memory.
    ------------------------------------------------------------
    revno: 5048.1.1
    committer: Mauritz Sundell <mauritz.sundell@oracle.com>
    branch nick: mysql-7.1-bug18683398
    timestamp: Wed 2014-07-16 17:59:50 +0200
    message:
      Bug #18731008    NDB : AVOID MAPPING EMPTY PAGES DUE TO DELETES DURING NR
      Bug #18683398    MEMORY LEAK DURING ROLLING RESTART
      
      This patch replaces calls to allocFragPage with a call to
      getRealpidCheck in the functions nr_read_pk and nr_update_gci in
      Dbtup only used by Dblqh to find rowid to delete.
      
      Else access to already deleted row could allocate a new page
      during startup of restarted node.
------------------------------------------------------------
revno: 5048 [merge]
author: hery.ramilison@oracle.com
committer: Hery Ramilison <hery.ramilison@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Wed 2014-07-16 11:30:43 +0200
message:
  Merge from mysql-cluster-7.1.32-release
    ------------------------------------------------------------
    revno: 5042.1.1
    tags: mysql-cluster-7.1.32
    committer: Hery Ramilison <hery.ramilison@oracle.com>
    branch nick: mysql-cluster-7.1.32-release
    timestamp: Mon 2014-06-30 14:35:37 +0200
    message:
      correcting copyright headers
------------------------------------------------------------
revno: 5047
committer: magnus.blaudd@oracle.com
branch nick: 7.1
timestamp: Fri 2014-07-11 19:45:53 +0200
message:
  ndb
  
   - fix syntax error in patch telling jvm where to put tmpdir
------------------------------------------------------------
revno: 5046
committer: magnus.blaudd@oracle.com
branch nick: 7.1
timestamp: Fri 2014-07-11 18:39:06 +0200
message:
  Bug#19193756 MTR GENERATES TOO LONG SOCKET PATHS
  
   - the socket path generated by ConfigFactory.pm was sometimes longer
     then the max tested socket path.
   - fix by generating a shorter path based on the generated port number, which
     is unique i.e mysqld-<port>.sock
------------------------------------------------------------
revno: 5045
committer: magnus.blaudd@oracle.com
branch nick: 7.1
timestamp: Thu 2014-07-10 10:28:02 +0200
message:
  ndb
  
   - failure running the clusterj tests with debug compiled which runs an additional
     run a test of DBUG. The default temp directory used by jvm was not writable and thus
    the test failed.
  - fix by pointing the jvm to a tmpdir in the vardir created by mtr.pl
------------------------------------------------------------
revno: 5044
committer: Lakshmi Narayanan Sreethar<lakshmi.narayanan.sreethar@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Tue 2014-07-08 15:10:35 +0530
message:
  Updated the list of tables to be deleted after running ndb clusterj tests
  Added new test and the model to build specification
------------------------------------------------------------
revno: 5043
committer: Mauritz Sundell <mauritz.sundell@oracle.com>
branch nick: mysql-7.1
timestamp: Fri 2014-06-27 15:45:51 +0200
message:
  bumb version to 7.1.33
------------------------------------------------------------
revno: 5042
tags: clone-mysql-5.1.73-ndb-7.1.32-src-build
committer: Ole John Aske <ole.john.aske@oracle.com>
branch nick: mysql-5.1-telco-7.1
timestamp: Thu 2014-06-26 16:07:15 +0200
message:
  The AutoTest, testBitfield does not correctly word align
  the length of a default bit values. 
  
  The length of the default value of a bit column, need to be word aligned.
  Incorrect alignment seems to have caused several (undetected) coredumps
  from testBitfield, like in:
  
  Thread 1 (Thread 0x7f159a9bf720 (LWP 869)):
  #0  0x0000000000431975 in u_32_value (this=0x7fffa6765988, pRow=0xb5d600) at /data0/ndbdev/autotest/build/clone-mysql-5.5-cluster-7.2-2014-06-23.24869/storage/ndb/test/src/HugoCalculator.cpp:299
  #1  HugoCalculator::verifyRowValues (this=0x7fffa6765988, pRow=0xb5d600) at /data0/ndbdev/autotest/build/clone-mysql-5.5-cluster-7.2-2014-06-23.24869/storage/ndb/test/src/HugoCalculator.cpp:299
  #2  0x000000000041f528 in HugoTransactions::pkReadRecords (this=0x7fffa6765930, pNdb=0xac27c0, records=1000, batch=13, lm=NdbOperation::LM_Read, _rand=0) at /data0/ndbdev/autotest/build/clone-mysql-5.5-cluster-7.2-2014-06-23.24869/storage/ndb/test/src/HugoTransactions.cpp:1078
  #3  0x000000000040c23a in transactions (pNdb=0xac27c0, tab=<value optimized out>) at /data0/ndbdev/autotest/build/clone-mysql-5.5-cluster-7.2-2014-06-23.24869/storage/ndb/test/ndbapi/testBitfield.cpp:187
  #4  0x000000000040dc68 in main (argc=0, argv=0xab6808) at /data0/ndbdev/autotest/build/clone-mysql-5.5-cluster-7.2-2014-06-23.24869/storage/ndb/test/ndbapi/testBitfield.cpp:99
  
  
  Failures resulting in core dumps seems to be incorrectly trapped p? AutoTest: 
  The coredumping test seems to be incorrectly recorded as PASSED, and the coredump
  is then related to the next failing tests - Like in:
  
  http://ndbmaster.se.oracle.com/~autotest/report.pl?id=23419
  
  Where we find:
  
  - testBitfield 	PASSED
    .... ~50 tests later:
  - testSRBank -n SR -l 300 -r 15 T1 	FAILED(TEST) 	Y
  
  The failed testSRBank has attached a coredump from testBitfield!
  
  This fix doesn't fix the incorrect reporting from AutoTest.
  However, it likely fix the coredump itself by correctly alligning
  the bit-type columns.
  
  NOTE: We also find in ha_ndbcluster.cc, which has 
        similar code for handling bit columns:
  
  static int create_ndb_column(THD *thd,
                               NDBCOL &col,
                               Field *field,
                               HA_CREATE_INFO *create_info
  
  .......
  
              /* For bit columns, default length is rounded up to 
                 **nearest word**, ensuring all data sent    <<<< HERE!
              */.
              Uint32 defaultLen = field_used_length(field);
              if(field->type() == MYSQL_TYPE_BIT)
                defaultLen = ((defaultLen + 3) /4) * 4;      <<<<<<<< and HERE !
              col.setDefaultValue(buf, defaultLen);
  
  Which is the correct way to handle length of default bit values
